Summary: Ctors | Methods | Inherited Methods | [Expand All]
public class

# PrintToPdfOptions

extends OptionsBase

java.lang.Object
↳ | com.pdftron.pdf.OptionsBase
| ↳ | com.pdftron.pdf.PrintToPdfOptions

## Summary

Public Constructors
| PrintToPdfOptions() Constructor.
| PrintToPdfOptions(String json_string) Constructor.

Public Methods
double | getHorizontalPageMargin() Gets the value HorizontalPageMargin from the options object The horizontal margins (left and right) in points.
double | getPageHeight() Gets the value PageHeight from the options object The page height to use in points.
String | getPageOrientation() Gets the value PageOrientation from the options object Page orientation, "portrait" or "landscape".
double | getPageWidth() Gets the value PageWidth from the options object The page width to use in points.
double | getVerticalPageMargin() Gets the value VerticalPageMargin from the options object The vertical margins (top and bottom) in points.
PrintToPdfOptions | setHorizontalPageMargin(double value) Sets the value for HorizontalPageMargin in the options object The horizontal margins (left and right) in points.
PrintToPdfOptions | setPageHeight(double value) Sets the value for PageHeight in the options object The page height to use in points.
PrintToPdfOptions | setPageOrientation(String value) Sets the value for PageOrientation in the options object Page orientation, "portrait" or "landscape".
PrintToPdfOptions | setPageWidth(double value) Sets the value for PageWidth in the options object The page width to use in points.
PrintToPdfOptions | setVerticalPageMargin(double value) Sets the value for VerticalPageMargin in the options object The vertical margins (top and bottom) in points.

[Expand] Inherited Methods
From class java.lang.Object
boolean | equals(Object arg0)
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)
final void | wait()

## Public Constructors

#### public PrintToPdfOptions ()

Constructor.

##### Throws

PDFNetException |

#### public PrintToPdfOptions (String json_string)

Constructor.

##### Throws

PDFNetException |

## Public Methods

#### public double getHorizontalPageMargin ()

Gets the value HorizontalPageMargin from the options object The horizontal margins (left and right) in points. The default is a 1/4 of an inch or 18 points.

##### Returns

- a double, The horizontal margins (left and right) in points. The default is a 1/4 of an inch or 18 points..

##### Throws

PDFNetException |

#### public double getPageHeight ()

Gets the value PageHeight from the options object The page height to use in points. If not set (or set to 0), uses letter paper size.

##### Returns

- a double, The page height to use in points. If not set (or set to 0), uses letter paper size..

##### Throws

PDFNetException |

#### public String getPageOrientation ()

Gets the value PageOrientation from the options object Page orientation, "portrait" or "landscape".

##### Returns

- a String, Page orientation, "portrait" or "landscape"..

##### Throws

PDFNetException |

#### public double getPageWidth ()

Gets the value PageWidth from the options object The page width to use in points. If not set (or set to 0), uses letter paper size.

##### Returns

- a double, The page width to use in points. If not set (or set to 0), uses letter paper size..

##### Throws

PDFNetException |

#### public double getVerticalPageMargin ()

Gets the value VerticalPageMargin from the options object The vertical margins (top and bottom) in points. The default is a 1/4 of an inch or 18 points.

##### Returns

- a double, The vertical margins (top and bottom) in points. The default is a 1/4 of an inch or 18 points..

##### Throws

PDFNetException |

#### public PrintToPdfOptions setHorizontalPageMargin (double value)

Sets the value for HorizontalPageMargin in the options object The horizontal margins (left and right) in points. The default is a 1/4 of an inch or 18 points.

##### Returns

- this object, for call chaining

##### Throws

PDFNetException |

#### public PrintToPdfOptions setPageHeight (double value)

Sets the value for PageHeight in the options object The page height to use in points. If not set (or set to 0), uses letter paper size.

##### Returns

- this object, for call chaining

##### Throws

PDFNetException |

#### public PrintToPdfOptions setPageOrientation (String value)

Sets the value for PageOrientation in the options object Page orientation, "portrait" or "landscape".

##### Returns

- this object, for call chaining

##### Throws

PDFNetException |

#### public PrintToPdfOptions setPageWidth (double value)

Sets the value for PageWidth in the options object The page width to use in points. If not set (or set to 0), uses letter paper size.

##### Returns

- this object, for call chaining

##### Throws

PDFNetException |

#### public PrintToPdfOptions setVerticalPageMargin (double value)

Sets the value for VerticalPageMargin in the options object The vertical margins (top and bottom) in points. The default is a 1/4 of an inch or 18 points.

##### Returns

- this object, for call chaining

##### Throws

PDFNetException |